Last Comment Bug 704837 - Regression in bidi reordering
: Regression in bidi reordering
Status: RESOLVED FIXED
[qa+][qa!:10]
: regression, rtl, verified-beta
Product: Core
Classification: Components
Component: Layout: Text (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla10
Assigned To: Simon Montagu :smontagu
:
Mentors:
https://www.facebook.com/Clalit/posts...
: 705148 (view as bug list)
Depends on:
Blocks: 698706
  Show dependency treegraph
 
Reported: 2011-11-23 07:54 PST by Simon Montagu :smontagu
Modified: 2012-10-13 10:10 PDT (History)
7 users (show)
mounir: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
unaffected
+
verified


Attachments
Testcase minimized from Facebook (270 bytes, text/html)
2011-11-23 07:54 PST, Simon Montagu :smontagu
no flags Details
Patch (1.91 KB, patch)
2011-11-23 09:58 PST, Simon Montagu :smontagu
roc: review+
asa: approval‑mozilla‑aurora+
Details | Diff | Review
Reftest (1.81 KB, patch)
2011-11-23 09:59 PST, Simon Montagu :smontagu
roc: review+
Details | Diff | Review

Description Simon Montagu :smontagu 2011-11-23 07:54:57 PST
Created attachment 576502 [details]
Testcase minimized from Facebook

The second line of this testcase is displayed backwards.
Comment 1 Simon Montagu :smontagu 2011-11-23 09:58:45 PST
Created attachment 576526 [details] [diff] [review]
Patch
Comment 2 Simon Montagu :smontagu 2011-11-23 09:59:21 PST
Created attachment 576527 [details] [diff] [review]
Reftest
Comment 3 Robert O'Callahan (:roc) (Exited; email my personal email if necessary) 2011-11-23 14:30:47 PST
What caused this regression? Seems like we should get this fixed on Aurora and maybe Beta?
Comment 4 Simon Montagu :smontagu 2011-11-23 21:54:23 PST
It's regression from bug 698706, so it needs to be fixed on trunk and Aurora.
Comment 6 Simon Montagu :smontagu 2011-11-24 09:44:17 PST
*** Bug 705148 has been marked as a duplicate of this bug. ***
Comment 8 Simon Montagu :smontagu 2011-11-29 12:46:42 PST
Comment on attachment 576526 [details] [diff] [review]
Patch

Asking approval-aurora after trunk baking. The patch is very low-risk and fixes a regression in aurora from bug 698706.
Comment 9 Alex Keybl [:akeybl] 2011-11-29 14:45:34 PST
Comment on attachment 576526 [details] [diff] [review]
Patch

[Triage Comment]
Looks like a good regression fix. Let's take this on Aurora.
Comment 11 Paul Silaghi, QA [:pauly] 2012-01-03 08:03:04 PST
Could you please provide me some additional info in order to verify this? I can't figure out if https://www.facebook.com/Clalit/posts/10150943051525693 is displayed properly or not.
Comment 12 Simon Montagu :smontagu 2012-01-03 08:51:23 PST
Search for "כרום" in that page and verify that both times it appears it is displayed as כרום, not םורכ
Comment 13 Paul Silaghi, QA [:pauly] 2012-01-03 09:13:58 PST
Based on comment 12, this is verified fixed on Firefox 10 Beta2:
Mozilla/5.0 (Windows NT 6.1; WOW64; rv:10.0) Gecko/20100101 Firefox/10.0
Mozilla/5.0 (X11; Linux x86_64; rv:10.0) Gecko/20100101 Firefox/10.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0) Gecko/20100101 Firefox/10.0

Note You need to log in before you can comment on or make changes to this bug.